<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SampleApp Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for SampleApp:</div>
<div class="dyncontent">
<div class="center"><img src="dir_830f5381c57e8a6474fdf7a7193759cc_dep.png" border="0" usemap="#dir__830f5381c57e8a6474fdf7a7193759cc__dep" alt="/workplace/avs-device-sdk/SampleApp/include/SampleApp"/></div>
<map name="dir__830f5381c57e8a6474fdf7a7193759cc__dep" id="dir__830f5381c57e8a6474fdf7a7193759cc__dep">
<area shape="rect" id="node1" href="dir_830f5381c57e8a6474fdf7a7193759cc.html" title="SampleApp" alt="" coords="265,51,355,99"/>
<area shape="rect" id="node2" href="dir_748b5abbb33df61eda67007924a1a0cb.html" title="ApplicationUtilities" alt="" coords="34,147,163,195"/>
<area shape="rect" id="edge1-headlabel" href="dir_000284_000026.html" title="5" alt="" coords="168,140,175,153"/>
<area shape="rect" id="node3" href="dir_7cf910bd1d7603f12ef47ff650cec893.html" title="CapabilityAgents" alt="" coords="87,243,208,291"/>
<area shape="rect" id="edge2-headlabel" href="dir_000284_000049.html" title="1" alt="" coords="174,224,181,237"/>
<area shape="rect" id="node4" href="dir_cb95416188067ed3b93365313f46b1cf.html" title="Authorization" alt="" coords="385,243,484,291"/>
<area shape="rect" id="edge3-headlabel" href="dir_000284_000278.html" title="1" alt="" coords="417,216,425,229"/>
<area shape="rect" id="node5" href="dir_8ae0dd75af039a94f4269584fb8eef13.html" title="Settings" alt="" coords="74,339,146,387"/>
<area shape="rect" id="edge4-headlabel" href="dir_000284_000286.html" title="2" alt="" coords="76,313,83,326"/>
<area shape="rect" id="node6" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="301,435,402,483"/>
<area shape="rect" id="edge5-headlabel" href="dir_000284_000015.html" title="23" alt="" coords="415,445,429,458"/>
<area shape="rect" id="node7" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="334,339,479,387"/>
<area shape="rect" id="edge6-headlabel" href="dir_000284_000272.html" title="3" alt="" coords="390,312,397,325"/>
<area shape="rect" id="node8" href="dir_7a19204e801bd10641b7443f97134f98.html" title="ESP" alt="" coords="238,147,310,195"/>
<area shape="rect" id="edge7-headlabel" href="dir_000284_000227.html" title="2" alt="" coords="294,125,302,139"/>
<area shape="rect" id="node9" href="dir_924a657fe36215a0159270de1b610651.html" title="CapabilitiesDelegate" alt="" coords="508,243,651,291"/>
<area shape="rect" id="edge8-headlabel" href="dir_000284_000127.html" title="1" alt="" coords="532,218,540,232"/>
<area shape="rect" id="edge9-headlabel" href="dir_000026_000049.html" title="29" alt="" coords="127,215,142,229"/>
<area shape="rect" id="edge10-headlabel" href="dir_000026_000286.html" title="2" alt="" coords="90,312,97,325"/>
<area shape="rect" id="edge11-headlabel" href="dir_000026_000015.html" title="51" alt="" coords="277,436,291,450"/>
<area shape="rect" id="edge12-headlabel" href="dir_000026_000272.html" title="1" alt="" coords="356,315,363,328"/>
<area shape="rect" id="edge13-headlabel" href="dir_000049_000286.html" title="13" alt="" coords="127,318,142,331"/>
<area shape="rect" id="edge14-headlabel" href="dir_000049_000015.html" title="494" alt="" coords="308,409,330,423"/>
<area shape="rect" id="edge15-headlabel" href="dir_000049_000272.html" title="12" alt="" coords="320,318,335,331"/>
<area shape="rect" id="edge16-headlabel" href="dir_000278_000015.html" title="18" alt="" coords="415,442,430,455"/>
<area shape="rect" id="edge17-headlabel" href="dir_000278_000272.html" title="1" alt="" coords="423,316,430,330"/>
<area shape="rect" id="edge18-headlabel" href="dir_000286_000015.html" title="11" alt="" coords="280,419,294,432"/>
<area shape="rect" id="edge19-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="378,416,386,429"/>
<area shape="rect" id="edge20-headlabel" href="dir_000227_000049.html" title="6" alt="" coords="195,232,203,245"/>
<area shape="rect" id="edge21-headlabel" href="dir_000227_000015.html" title="4" alt="" coords="338,408,345,421"/>
<area shape="rect" id="edge22-headlabel" href="dir_000127_000015.html" title="30" alt="" coords="415,441,430,454"/>
<area shape="rect" id="edge23-headlabel" href="dir_000127_000272.html" title="2" alt="" coords="466,330,474,344"/>
<area shape="rect" id="clust1" href="dir_db613c36c14f3946188c6043fb421073.html" title="include" alt="" coords="254,16,366,109"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_connection_observer_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_connection_observer_8h.html">ConnectionObserver.h</a> <a href="_connection_observer_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_console_printer_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_console_printer_8h.html">ConsolePrinter.h</a> <a href="_console_printer_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_console_reader_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_console_reader_8h.html">ConsoleReader.h</a> <a href="_console_reader_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_gui_renderer_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_gui_renderer_8h.html">GuiRenderer.h</a> <a href="_gui_renderer_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_interaction_manager_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_interaction_manager_8h.html">InteractionManager.h</a> <a href="_interaction_manager_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_keyword_observer_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_keyword_observer_8h.html">KeywordObserver.h</a> <a href="_keyword_observer_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_port_audio_microphone_wrapper_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_port_audio_microphone_wrapper_8h.html">PortAudioMicrophoneWrapper.h</a> <a href="_port_audio_microphone_wrapper_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_revoke_authorization_observer_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_revoke_authorization_observer_8h.html">RevokeAuthorizationObserver.h</a> <a href="_revoke_authorization_observer_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_sample_application_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_sample_application_8h.html">SampleApplication.h</a> <a href="_sample_application_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_sample_application_return_codes_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_sample_application_return_codes_8h.html">SampleApplicationReturnCodes.h</a> <a href="_sample_application_return_codes_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_sample_equalizer_mode_controller_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_sample_equalizer_mode_controller_8h.html">SampleEqualizerModeController.h</a> <a href="_sample_equalizer_mode_controller_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_u_i_manager_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_manager_8h.html">UIManager.h</a> <a href="_u_i_manager_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_user_input_manager_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_user_input_manager_8h.html">UserInputManager.h</a> <a href="_user_input_manager_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
